> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /otta/jobs

> Get an Otta job posting by its external id or job URL. Returns the full role detail: title, salary range and OTE, required and desirable requirements, tech stack, what the job involves, application process, experience and days-in-office expectations, location preferences, languages, and the full enriched profile of the hiring company.

**Price:** 1 credit

**⚠️ Common errors:** 412: Job not found



## OpenAPI

````yaml /openapi/jobs.json post /api/otta/jobs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/otta/jobs:
    post:
      tags:
        - /otta
      summary: /otta/jobs
      description: >-
        Get an Otta job posting by its external id or job URL. Returns the full
        role detail: title, salary range and OTE, required and desirable
        requirements, tech stack, what the job involves, application process,
        experience and days-in-office expectations, location preferences,
        languages, and the full enriched profile of the hiring company.


        **Price:** 1 credit


        **⚠️ Common errors:** 412: Job not found
      operationId: __api_otta_jobs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OttaJobsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OttaJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OttaJobsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        job:
          type: string
          minLength: 1
        currency:
          $ref: '#/components/schemas/OttaCurrency'
          default: GBP
      type: object
      required:
        - job
    OttaJob:
      properties:
        '@type':
          type: string
          default: OttaJob
        id:
          anyOf:
            - type: string
            - type: 'null'
        external_id:
          anyOf:
            - type: string
            - type: 'null'
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        is_live:
          anyOf:
            - type: boolean
            - type: 'null'
        is_actively_hiring:
          anyOf:
            - type: boolean
            - type: 'null'
        is_internship:
          anyOf:
            - type: boolean
            - type: 'null'
        hide_salary:
          anyOf:
            - type: boolean
            - type: 'null'
        accepts_internal_applications:
          anyOf:
            - type: boolean
            - type: 'null'
        remote_only:
          anyOf:
            - type: boolean
            - type: 'null'
        min_years_experience:
          anyOf:
            - type: integer
            - type: 'null'
        max_years_experience:
          anyOf:
            - type: integer
            - type: 'null'
        min_days_in_office:
          anyOf:
            - type: integer
            - type: 'null'
        max_days_in_office:
          anyOf:
            - type: integer
            - type: 'null'
        office_location:
          anyOf:
            - type: string
            - type: 'null'
        location_restrictions:
          anyOf:
            - type: string
            - type: 'null'
        location_information:
          anyOf:
            - type: string
            - type: 'null'
        locations:
          items:
            type: string
          type: array
          default: []
        formatted_locations:
          items:
            type: string
          type: array
          default: []
        function:
          anyOf:
            - type: string
            - type: 'null'
        sub_function:
          anyOf:
            - type: string
            - type: 'null'
        technologies:
          items:
            type: string
          type: array
          default: []
        language_requirements:
          items:
            type: string
          type: array
          default: []
        requirements:
          items:
            $ref: '#/components/schemas/OttaJobRequirement'
          type: array
          default: []
        involves_bullets:
          items:
            type: string
          type: array
          default: []
        application_process_bullets:
          items:
            type: string
          type: array
          default: []
        salary_range:
          anyOf:
            - $ref: '#/components/schemas/OttaSalaryRange'
            - type: 'null'
        ote_salary_range:
          anyOf:
            - $ref: '#/components/schemas/OttaSalaryRange'
            - type: 'null'
        other_compensation_information:
          anyOf:
            - type: string
            - type: 'null'
        original_url:
          anyOf:
            - type: string
            - type: 'null'
        inserted_at:
          anyOf:
            - type: string
            - type: 'null'
        valid_until:
          anyOf:
            - type: string
            - type: 'null'
        last_seen:
          anyOf:
            - type: string
            - type: 'null'
        workflow_status:
          anyOf:
            - type: string
            - type: 'null'
        team:
          anyOf:
            - $ref: '#/components/schemas/OttaJobTeam'
            - type: 'null'
        company:
          anyOf:
            - $ref: '#/components/schemas/OttaCompany'
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    OttaCurrency:
      type: string
      enum:
        - CAD
        - EUR
        - GBP
        - USD
    OttaJobRequirement:
      properties:
        '@type':
          type: string
          default: OttaJobRequirement
        value:
          anyOf:
            - type: string
            - type: 'null'
        is_desirable:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    OttaSalaryRange:
      properties:
        '@type':
          type: string
          default: OttaSalaryRange
        min_amount:
          anyOf:
            - type: integer
            - type: 'null'
        max_amount:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OttaJobTeam:
      properties:
        '@type':
          type: string
          default: OttaJobTeam
        name:
          anyOf:
            - type: string
            - type: 'null'
        mission:
          anyOf:
            - type: string
            - type: 'null'
        size:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    OttaCompany:
      properties:
        '@type':
          type: string
          default: OttaCompany
        id:
          anyOf:
            - type: string
            - type: 'null'
        external_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        domain_name:
          anyOf:
            - type: string
            - type: 'null'
        companies_house_name:
          anyOf:
            - type: string
            - type: 'null'
        dealroom_id:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        favicon:
          anyOf:
            - type: string
            - type: 'null'
        primary_colour:
          anyOf:
            - type: string
            - type: 'null'
        profile_type:
          anyOf:
            - type: string
            - type: 'null'
        website_url:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
        crunchbase_url:
          anyOf:
            - type: string
            - type: 'null'
        angellist_url:
          anyOf:
            - type: string
            - type: 'null'
        short_description:
          anyOf:
            - type: string
            - type: 'null'
        mission:
          anyOf:
            - type: string
            - type: 'null'
        live_job_count:
          anyOf:
            - type: integer
            - type: 'null'
        employee_count:
          anyOf:
            - type: integer
            - type: 'null'
        employee_survey_count:
          anyOf:
            - type: integer
            - type: 'null'
        hq_address:
          anyOf:
            - type: string
            - type: 'null'
        parsed_hq_address:
          anyOf:
            - type: string
            - type: 'null'
        only_on_otta:
          anyOf:
            - type: boolean
            - type: 'null'
        is_bcorp:
          anyOf:
            - type: boolean
            - type: 'null'
        is_otta_certified:
          anyOf:
            - type: boolean
            - type: 'null'
        glassdoor_rating:
          anyOf:
            - type: number
            - type: 'null'
        glassdoor_url:
          anyOf:
            - type: string
            - type: 'null'
        trustpilot_rating:
          anyOf:
            - type: number
            - type: 'null'
        trustpilot_url:
          anyOf:
            - type: string
            - type: 'null'
        response_rate:
          anyOf:
            - type: number
            - type: 'null'
        percentage_female:
          anyOf:
            - type: integer
            - type: 'null'
        year_employee_growth_percentage:
          anyOf:
            - type: integer
            - type: 'null'
        min_days_in_office:
          anyOf:
            - type: integer
            - type: 'null'
        max_days_in_office:
          anyOf:
            - type: integer
            - type: 'null'
        integrated_with_dealroom:
          anyOf:
            - type: boolean
            - type: 'null'
        diversity_author_name:
          anyOf:
            - type: string
            - type: 'null'
        diversity_author_title:
          anyOf:
            - type: string
            - type: 'null'
        job_locations:
          items:
            type: string
          type: array
          default: []
        size:
          anyOf:
            - type: string
            - type: 'null'
        sectors:
          items:
            $ref: '#/components/schemas/OttaSector'
          type: array
          default: []
        values:
          items:
            type: string
          type: array
          default: []
        market_bullets:
          items:
            type: string
          type: array
          default: []
        other_benefits:
          items:
            $ref: '#/components/schemas/OttaBenefit'
          type: array
          default: []
        visa_sponsorship_countries:
          items:
            type: string
          type: array
          default: []
        articles:
          items:
            $ref: '#/components/schemas/OttaArticle'
          type: array
          default: []
        photos:
          items:
            type: string
          type: array
          default: []
        offices:
          items:
            $ref: '#/components/schemas/OttaOffice'
          type: array
          default: []
        teams:
          items:
            $ref: '#/components/schemas/OttaTeam'
          type: array
          default: []
        total_funding:
          anyOf:
            - $ref: '#/components/schemas/OttaMoney'
            - type: 'null'
        funding_rounds:
          items:
            $ref: '#/components/schemas/OttaFundingRound'
          type: array
          default: []
        investors:
          items:
            $ref: '#/components/schemas/OttaInvestor'
          type: array
          default: []
        founders:
          items:
            $ref: '#/components/schemas/OttaFounder'
          type: array
          default: []
        people_progressing:
          items:
            $ref: '#/components/schemas/OttaPersonProgressing'
          type: array
          default: []
        diversity_statistics:
          anyOf:
            - $ref: '#/components/schemas/OttaDiversityStatistics'
            - type: 'null'
        live_jobs:
          items:
            $ref: '#/components/schemas/OttaCompanyJob'
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    OttaSector:
      properties:
        '@type':
          type: string
          default: OttaSector
        id:
          anyOf:
            - type: string
            - type: 'null'
        value:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OttaBenefit:
      properties:
        '@type':
          type: string
          default: OttaBenefit
        value:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OttaArticle:
      properties:
        '@type':
          type: string
          default: OttaArticle
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OttaOffice:
      properties:
        '@type':
          type: string
          default: OttaOffice
        address:
          anyOf:
            - type: string
            - type: 'null'
        parsed_address:
          anyOf:
            - type: string
            - type: 'null'
        is_headquarter:
          anyOf:
            - type: boolean
            - type: 'null'
        map_image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OttaTeam:
      properties:
        '@type':
          type: string
          default: OttaTeam
        name:
          anyOf:
            - type: string
            - type: 'null'
        mission:
          anyOf:
            - type: string
            - type: 'null'
        size:
          anyOf:
            - type: integer
            - type: 'null'
        members:
          items:
            $ref: '#/components/schemas/OttaTeamMember'
          type: array
          default: []
      type: object
    OttaMoney:
      properties:
        '@type':
          type: string
          default: OttaMoney
        amount:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OttaFundingRound:
      properties:
        '@type':
          type: string
          default: OttaFundingRound
        round:
          anyOf:
            - type: string
            - type: 'null'
        month:
          anyOf:
            - type: integer
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        amount:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OttaInvestor:
      properties:
        '@type':
          type: string
          default: OttaInvestor
        name:
          anyOf:
            - type: string
            - type: 'null'
        is_top:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    OttaFounder:
      properties:
        '@type':
          type: string
          default: OttaFounder
        name:
          anyOf:
            - type: string
            - type: 'null'
        bio:
          anyOf:
            - type: string
            - type: 'null'
        gender:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OttaPersonProgressing:
      properties:
        '@type':
          type: string
          default: OttaPersonProgressing
        name:
          anyOf:
            - type: string
            - type: 'null'
        bio:
          anyOf:
            - type: string
            - type: 'null'
        linkedin_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OttaDiversityStatistics:
      properties:
        '@type':
          type: string
          default: OttaDiversityStatistics
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        genders:
          items:
            $ref: '#/components/schemas/OttaDiversityStatistic'
          type: array
          default: []
        ethnicities:
          items:
            $ref: '#/components/schemas/OttaDiversityStatistic'
          type: array
          default: []
        working_locations:
          items:
            $ref: '#/components/schemas/OttaDiversityStatistic'
          type: array
          default: []
      type: object
    OttaCompanyJob:
      properties:
        '@type':
          type: string
          default: OttaCompanyJob
        id:
          anyOf:
            - type: string
            - type: 'null'
        external_id:
          anyOf:
            - type: string
            - type: 'null'
        subtitle:
          anyOf:
            - type: string
            - type: 'null'
        function:
          anyOf:
            - type: string
            - type: 'null'
        locations:
          items:
            type: string
          type: array
          default: []
      type: object
    OttaTeamMember:
      properties:
        '@type':
          type: string
          default: OttaTeamMember
        name:
          anyOf:
            - type: string
            - type: 'null'
        job_title:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    OttaDiversityStatistic:
      properties:
        '@type':
          type: string
          default: OttaDiversityStatistic
        value:
          anyOf:
            - type: string
            - type: 'null'
        total:
          anyOf:
            - type: integer
            - type: 'null'
        percent:
          anyOf:
            - type: number
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````